Skip to main content
GET
https://api.dintero.com/v1/
/
accounts
/
{aid}
/
stores
Get Stores
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{aid}/stores \
  --header 'Authorization: Bearer <token>'
{
  "stores": [
    {
      "store_id": "S312",
      "id": "<string>",
      "created_at": "<string>",
      "created_by": "<string>",
      "updated_at": "<string>",
      "updated_by": "<string>",
      "status": "DELETED",
      "verified": true,
      "number_of_terminals": 123,
      "terminals_summary": [
        {
          "status": "DELETED",
          "count": 1
        }
      ],
      "organization": {
        "organization_number": "<string>",
        "country": "NO",
        "type": "main_unit",
        "name": "<string>",
        "trade_name": "<string>"
      },
      "store_name": "<string>",
      "email": "jsmith@example.com",
      "phone_number": "+4799999999",
      "address": {
        "address_line": "Sommerkroveien 34",
        "postal_place": "Oslo",
        "country": "NO",
        "address_line_2": "PB 123",
        "postal_code": "0349"
      },
      "coordinates": {
        "latitude": 59.949923,
        "longitude": 10.766888
      },
      "website": "<string>",
      "payout_destination": {
        "payout_destination_id": "PD032",
        "status": "ACTIVE",
        "type": "company",
        "merchant_category_code": "2741"
      },
      "operator_payout_destinations": [
        {
          "payout_destination_id": "<string>",
          "status": "ACTIVE",
          "type": "company",
          "organization_number": "<string>",
          "name": "<string>",
          "trade_name": "<string>",
          "merchant_category_code": "2741"
        }
      ]
    }
  ],
  "starting_after": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Query Parameters

payout_destination_id
string[]

Filter by Payout Destination ID

terminal_id
string[]

Filter by Terminal ID

includes
enum<string>[]

Include related data. Use operator_payout_destinations to include payout destinations for terminal operators associated with this store.

Maximum array length: 1
Available options:
operator_payout_destinations
starting_after
string

cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, end the result contains paging_token=pt1, your subsequent call can include starting_after=pt1 in order to fetch the next page of the list.

limit
integer
default:10

A limit on the number of objects to be returned. Limit can range between 1 and 100 items, and the default is 10 items.

Required range: 1 <= x <= 100

Response

List of stores

stores
object[]
required
starting_after
string